### Hierarchy

- Message

## Index

### Enumerations

- Type

### Constructors

- constructor

### Properties

- identifier
- payload
- type

### Methods

- toObject

## Constructors

### constructor

- new Message(message: ProtoMessage<__type>): Message

- - Defined in lib/message.ts:6

  #### Parameters

  - ##### message: ProtoMessage<__type>

  #### Returns Message

## Properties

### identifier

identifier: string

- Defined in lib/message.ts:5

### payload

payload: any

- Defined in lib/message.ts:6

### type

type: Type

- Defined in lib/message.ts:4

## Methods

### toObject

- toObject(): any

- - Defined in lib/message.ts:17

  #### Returns any

Generated using TypeDoc